## r-cran-sourcetools 0.1.7

=== DESCRIPTION ===
Package: sourcetools
Type: Package
Title: Tools for Reading, Tokenizing and Parsing R Code
Version: 0.1.7
Author: Kevin Ushey
Maintainer: Kevin Ushey <kevinushey@gmail.com>
Description: Tools for the reading and tokenization of R code. The
    'sourcetools' package provides both an R and C++ interface for the tokenization
    of R code, and helpers for interacting with the tokenized representation of R
    code.
License: MIT + file LICENSE
LazyData: TRUE
Depends: R (>= 3.0.2)
Suggests: testthat
RoxygenNote: 5.0.1
BugReports: https://github.com/kevinushey/sourcetools/issues
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2018-04-25 03:19:22 UTC; kevin
Repository: CRAN
Date/Publication: 2018-04-25 03:38:09 UTC

## r-cran-sourcetools 0.1.5

=== debian/changelog ===
r-cran-sourcetools (0.1.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 09 Jun 2017 11:27:43 +0200

r-cran-sourcetools (0.1.5-1) unstable; urgency=medium

  * Initial release (closes: #842958)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2016 17:20:55 +0100

=== debian/control ===
Source: r-cran-sourcetools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-sourcetools/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-sourcetools/trunk/
Homepage: https://cran.r-project.org/package=sourcetools

Package: r-cran-sourcetools
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: tools for reading, tokenizing and parsing R code
 Tools for the reading and tokenization of R code. The
 'sourcetools' package provides both an R and C++ interface for the tokenization
 of R code, and helpers for interacting with the tokenized representation of R
 code.

## r-cran-sourcetools 0.1.6

=== debian/changelog ===
r-cran-sourcetools (0.1.6-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2017 18:49:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-sourcetools/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-sourcetools/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-sourcetools.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-sourcetools.git
 Homepage: https://cran.r-project.org/package=sourcetools
 
 Package: r-cran-sourcetools

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/sourcetools_([-\d.]*)\.tar\.gz

## r-cran-sourcetools 0.1.7

=== debian/changelog ===
r-cran-sourcetools (0.1.7-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 12:39:35 +0200

r-cran-sourcetools (0.1.7-2) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jun 2018 22:41:14 +0200

r-cran-sourcetools (0.1.7-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sat, 28 Apr 2018 10:34:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: r-cran-sourcetools
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-sourcetools.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-sourcetools.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sourcetools
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sourcetools.git
 Homepage: https://cran.r-project.org/package=sourcetools
+Rules-Requires-Root: no
 
 Package: r-cran-sourcetools
 Architecture: any

## r-cran-sourcetools 0.1.7-1

=== debian/changelog ===
r-cran-sourcetools (0.1.7-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Feb 2023 11:41:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-sourcetools
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sourcetools
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sourcetools.git
+Homepage: https://cran.r-project.org/package=sourcetools
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sourcetools
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sourcetools.git
-Homepage: https://cran.r-project.org/package=sourcetools
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-sourcetools
 Architecture: any
